NX Open C++ Reference Guide
|
Represents a Contour Flange feature builder. More...
Public Types | |
enum | SectionSideOptions { SectionSideOptionsLeft, SectionSideOptionsRight } |
This enum represents the side of the section in which material is created. More... | |
enum | SweepSideOptions { SweepSideOptionsSectionNormalSide, SweepSideOptionsSectionReverseNormalSide } |
This enum represents the side in which the contour flange will be swept. More... | |
enum | SweepTypeOptions { SweepTypeOptionsFinite, SweepTypeOptionsSymmetric, SweepTypeOptionsToEnd, SweepTypeOptionsChain } |
This enum represents the sweep type of the contour flange. More... | |
Public Member Functions | |
NXOpen::Features::SheetMetal::BendOptions * | BendOptions () |
Returns the bend options Created in NX4.0.0. | |
NXOpen::Section * | EdgeChain () |
Returns the section having chain edges. | |
NXOpen::Expression * | GetSweepDistance () |
THE projection distance of contour flange. | |
NXOpen::Expression * | GetThickness () |
THE thickness of contour flange. | |
bool | IsSecondary () |
Returns the contour flange type. | |
NXOpen::Features::SheetMetal::MiterOptions * | MiterOptions () |
Returns the miter options Created in NX4.0.0. | |
NXOpen::Section * | Section () |
Returns the section of contour flange Created in NX4.0.0. | |
void | SetEdgeChain (NXOpen::Section *edgeChain) |
Sets the section having chain edges. | |
void | SetSecondary (bool isSecondary) |
Sets the contour flange type. | |
void | SetSection (NXOpen::Section *section) |
Sets the section of contour flange Created in NX4.0.0. | |
void | SetSketch (NXOpen::Features::SketchFeature *sketch) |
Sets the sketch Created in NX4.0.0. | |
void | SetSweepDistance (const NXString &sweepDistance) |
Created in NX4.0.0. | |
void | SetSweepDistance (const char *sweepDistance) |
Created in NX4.0.0. | |
void | SetSweepSide (NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepSideOptions sweepSide) |
Sets the projection direction of contour flange Created in NX4.0.0. | |
void | SetSweepType (NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepTypeOptions sweepType) |
Sets the projection side of contour flange Created in NX4.0.0. | |
void | SetThickness (const NXString &thickness) |
Created in NX4.0.0. | |
void | SetThickness (const char *thickness) |
Created in NX4.0.0. | |
void | SetThicknessSide (NXOpen::Features::SheetMetal::ContourFlangeBuilder::SectionSideOptions sectionSide) |
Sets the thickness side of contour flange Created in NX4.0.0. | |
NXOpen::Features::SketchFeature * | Sketch () |
Returns the sketch Created in NX4.0.0. | |
NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepSideOptions | SweepSide () |
Returns the projection direction of contour flange Created in NX4.0.0. | |
NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepTypeOptions | SweepType () |
Returns the projection side of contour flange Created in NX4.0.0. | |
NXOpen::Features::SheetMetal::ContourFlangeBuilder::SectionSideOptions | ThicknessSide () |
Returns the thickness side of contour flange Created in NX4.0.0. | |
int | ValidateBuilderData () |
Verify whether the builder data is valid for creating a Contour Flange or not. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Contour Flange feature builder.
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateContourFlangeFeatureBuilder
Created in NX4.0.0.
This enum represents the side of the section in which material is created.
The "left" option represents the side to the left of a person who is walking along the section in the direction of its curves when the section normal is pointing up. The "right" option represents the person's right hand side. This interpretation is the same regardless of whether the section is open or closed. The "right" side at any point along the section can also be represented by the vector resulting from the cross product of the curve tangent (of the section curve at that point) and the section normal. The "left" side is the opposite.
NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::ContourFlangeBuilder::BendOptions | ( | ) |
Returns the bend options
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Section* NXOpen::Features::SheetMetal::ContourFlangeBuilder::EdgeChain | ( | ) |
Returns the section having chain edges.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::ContourFlangeBuilder::GetSweepDistance | ( | ) |
THE projection distance of contour flange.
NXOpen::Expression* NXOpen::Features::SheetMetal::ContourFlangeBuilder::GetThickness | ( | ) |
THE thickness of contour flange.
bool NXOpen::Features::SheetMetal::ContourFlangeBuilder::IsSecondary | ( | ) |
Returns the contour flange type.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::MiterOptions* NXOpen::Features::SheetMetal::ContourFlangeBuilder::MiterOptions | ( | ) |
Returns the miter options
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Section* NXOpen::Features::SheetMetal::ContourFlangeBuilder::Section | ( | ) |
Returns the section of contour flange
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetEdgeChain | ( | NXOpen::Section * | edgeChain | ) |
Sets the section having chain edges.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
edgeChain | edge chain |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetSecondary | ( | bool | isSecondary | ) |
Sets the contour flange type.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
isSecondary | is secondary |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetSection | ( | NXOpen::Section * | section | ) |
Sets the section of contour flange
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
section | section |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetSketch | ( | NXOpen::Features::SketchFeature * | sketch | ) |
Sets the sketch
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
sketch | sketch |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetSweepDistance | ( | const NXString & | sweepDistance | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
sweepDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetSweepDistance | ( | const char * | sweepDistance | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
sweepDistance | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetSweepSide | ( | NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepSideOptions | sweepSide | ) |
Sets the projection direction of contour flange
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
sweepSide | sweep side |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetSweepType | ( | NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepTypeOptions | sweepType | ) |
Sets the projection side of contour flange
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
sweepType | sweep type |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetThickness | ( | const NXString & | thickness | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
thickness | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetThickness | ( | const char * | thickness | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
thickness | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::ContourFlangeBuilder::SetThicknessSide | ( | NXOpen::Features::SheetMetal::ContourFlangeBuilder::SectionSideOptions | sectionSide | ) |
Sets the thickness side of contour flange
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
sectionSide | section side |
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::ContourFlangeBuilder::Sketch | ( | ) |
Returns the sketch
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepSideOptions NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepSide | ( | ) |
Returns the projection direction of contour flange
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepTypeOptions NXOpen::Features::SheetMetal::ContourFlangeBuilder::SweepType | ( | ) |
Returns the projection side of contour flange
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::ContourFlangeBuilder::SectionSideOptions NXOpen::Features::SheetMetal::ContourFlangeBuilder::ThicknessSide | ( | ) |
Returns the thickness side of contour flange
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
int NXOpen::Features::SheetMetal::ContourFlangeBuilder::ValidateBuilderData | ( | ) |
Verify whether the builder data is valid for creating a Contour Flange or not.
<br> If the Builder data is valid, returned value shall be 0 <br> @return Data Validity Flag.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")